#
# spec file for package php5-pear-channel-phpunit
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define peardir %(pear config-get php_dir 2> /dev/null)
%define pear_xmldir  /var/lib/pear

Name:           php5-pear-channel-phpunit
Version:        1.0
Release:        20.1
Summary:        Adds pear.phpunit.de channel to PEAR
License:        MIT
Group:          Development/Tools/Debuggers
Url:            http://pear.phpunit.de/
Source0:        http://pear.phpunit.de/channel.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%if 0%{?sles_version} >= 10
BuildRequires:  php53
BuildRequires:  php53-pear
Requires:       php53
Requires:       php53-pear
%else
BuildRequires:  php >= 5.3.1
BuildRequires:  php-pear >= 5.3.1
Requires:       php >= 5.3.1
Requires:       php-pear >= 5.3.1
%endif
Provides:       php5-pear-channel-phpunitde > 1.0
Obsoletes:      php5-pear-channel-phpunitde = 1.0

%description
This package adds the pear.phpunit.de channel which allows PEAR packages
from this channel to be installed.


%prep
%setup -q -c -T

%build
# Empty build section, nothing to build

%install

%{__mkdir_p} %{buildroot}%{pear_xmldir}

%{__install} -pm 644 %{SOURCE0} %{buildroot}%{pear_xmldir}/pear.phpunit.de.xml

%clean

%{__rm} -rf %{buildroot}

%post
if [ $1 -eq  1 ] ; then
   pear channel-add %{pear_xmldir}/pear.phpunit.de.xml > /dev/null || :
else
   pear channel-update %{pear_xmldir}/pear.phpunit.de.xml > /dev/null ||:
fi

%postun

if [ $1 -eq 0 ] ; then
   pear channel-delete pear.phpunit.de > /dev/null || :
fi

%files
%defattr(-,root,root,-)
%{pear_xmldir}/*

%changelog
* Mon May 20 2013 jweberhofer@weberhofer.at
- Force PHP 5.3 to be installed on SLES systems
* Mon May 20 2013 jweberhofer@weberhofer.at
- Set a requirement for pear >= 1.9.2, as all dependent packages needs that.
* Wed May 18 2011 lang@b1-systems.de
- updated channel file
- began .changes file
* Fri Dec 12 2008 gerrit.beine@gmx.de
- package created
